petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexGetDataFVM

Retrieve precomputed cell geometry

### Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexGetDataFVM(DM dm, PetscFV fv, Vec *cellgeom, Vec *facegeom, DM *gradDM)

Collective on DM

### Input Arguments

| dm | - The DM
| fvm | - The PetscFV

### Output Parameters

| cellGeometry | - The cell geometry
| faceGeometry | - The face geometry
| dmGrad | - The gradient matrices

### See Also

DMPlexComputeGeometryFVM()

### Level

developer

### Location

src/dm/impls/plex/plexgeometry.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages